<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>CodeNarcExtension (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CodeNarcExtension (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeNarc.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcPlugin.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/CodeNarcExtension.html" target="_top">Frames</a></li>
<li><a href="CodeNarcExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.quality</div>
<h2 title="Class CodeNarcExtension" class="title">Class CodeNarcExtension</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">org.gradle.api.plugins.quality.CodeQualityExtension</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.quality.CodeNarcExtension</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">CodeNarcExtension</span>
extends <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a></pre>
<div class="block">Configuration options for the CodeNarc plugin.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/plugins/quality/CodeNarc.html" title="class in org.gradle.api.plugins.quality"><code>CodeNarc</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#CodeNarcExtension(org.gradle.api.Project)">CodeNarcExtension</a></strong>(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#getConfig()">getConfig</a></strong>()</code>
<div class="block">The CodeNarc configuration to use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#getConfigFile()">getConfigFile</a></strong>()</code>
<div class="block">The CodeNarc configuration file to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#getMaxPriority1Violations()">getMaxPriority1Violations</a></strong>()</code>
<div class="block">The maximum number of priority 1 violations allowed before failing the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#getMaxPriority2Violations()">getMaxPriority2Violations</a></strong>()</code>
<div class="block">The maximum number of priority 2 violations allowed before failing the build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#getMaxPriority3Violations()">getMaxPriority3Violations</a></strong>()</code>
<div class="block">The maximum number of priority 3 violations allowed before failing the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#getReportFormat()">getReportFormat</a></strong>()</code>
<div class="block">The format type of the CodeNarc report.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#setConfig(org.gradle.api.resources.TextResource)">setConfig</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;config)</code>
<div class="block">The CodeNarc configuration to use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#setConfigFile(java.io.File)">setConfigFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">The CodeNarc configuration file to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#setMaxPriority1Violations(int)">setMaxPriority1Violations</a></strong>(int&nbsp;maxPriority1Violations)</code>
<div class="block">The maximum number of priority 1 violations allowed before failing the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#setMaxPriority2Violations(int)">setMaxPriority2Violations</a></strong>(int&nbsp;maxPriority2Violations)</code>
<div class="block">The maximum number of priority 2 violations allowed before failing the build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#setMaxPriority3Violations(int)">setMaxPriority3Violations</a></strong>(int&nbsp;maxPriority3Violations)</code>
<div class="block">The maximum number of priority 3 violations allowed before failing the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html#setReportFormat(java.lang.String)">setReportFormat</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;reportFormat)</code>
<div class="block">The format type of the CodeNarc report.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.plugins.quality.CodeQualityExtension">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.plugins.quality.<a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a></h3>
<code><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getReportsDir()">getReportsDir</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getSourceSets()">getSourceSets</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getToolVersion()">getToolVersion</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#isIgnoreFailures()">isIgnoreFailures</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setIgnoreFailures(boolean)">setIgnoreFailures</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setReportsDir(java.io.File)">setReportsDir</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setSourceSets(java.util.Collection)">setSourceSets</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setToolVersion(java.lang.String)">setToolVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CodeNarcExtension(org.gradle.api.Project)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CodeNarcExtension</h4>
<pre>public&nbsp;CodeNarcExtension(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConfig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getConfig()</pre>
<div class="block">The CodeNarc configuration to use. Replaces the <code>configFile</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="setConfig(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setConfig(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;config)</pre>
<div class="block">The CodeNarc configuration to use. Replaces the <code>configFile</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="getConfigFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigFile</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getConfigFile()</pre>
<div class="block">The CodeNarc configuration file to use.</div>
</li>
</ul>
<a name="setConfigFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigFile</h4>
<pre>public&nbsp;void&nbsp;setConfigFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</pre>
<div class="block">The CodeNarc configuration file to use.</div>
</li>
</ul>
<a name="getMaxPriority1Violations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxPriority1Violations</h4>
<pre>public&nbsp;int&nbsp;getMaxPriority1Violations()</pre>
<div class="block">The maximum number of priority 1 violations allowed before failing the build.</div>
</li>
</ul>
<a name="setMaxPriority1Violations(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxPriority1Violations</h4>
<pre>public&nbsp;void&nbsp;setMaxPriority1Violations(int&nbsp;maxPriority1Violations)</pre>
<div class="block">The maximum number of priority 1 violations allowed before failing the build.</div>
</li>
</ul>
<a name="getMaxPriority2Violations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxPriority2Violations</h4>
<pre>public&nbsp;int&nbsp;getMaxPriority2Violations()</pre>
<div class="block">The maximum number of priority 2 violations allowed before failing the build.</div>
</li>
</ul>
<a name="setMaxPriority2Violations(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxPriority2Violations</h4>
<pre>public&nbsp;void&nbsp;setMaxPriority2Violations(int&nbsp;maxPriority2Violations)</pre>
<div class="block">The maximum number of priority 2 violations allowed before failing the build.</div>
</li>
</ul>
<a name="getMaxPriority3Violations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxPriority3Violations</h4>
<pre>public&nbsp;int&nbsp;getMaxPriority3Violations()</pre>
<div class="block">The maximum number of priority 3 violations allowed before failing the build.</div>
</li>
</ul>
<a name="setMaxPriority3Violations(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxPriority3Violations</h4>
<pre>public&nbsp;void&nbsp;setMaxPriority3Violations(int&nbsp;maxPriority3Violations)</pre>
<div class="block">The maximum number of priority 3 violations allowed before failing the build.</div>
</li>
</ul>
<a name="getReportFormat()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReportFormat</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getReportFormat()</pre>
<div class="block">The format type of the CodeNarc report. One of <tt>html</tt>, <tt>xml</tt>, <tt>text</tt>, <tt>console</tt>.</div>
</li>
</ul>
<a name="setReportFormat(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setReportFormat</h4>
<pre>public&nbsp;void&nbsp;setReportFormat(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;reportFormat)</pre>
<div class="block">The format type of the CodeNarc report. One of <tt>html</tt>, <tt>xml</tt>, <tt>text</tt>, <tt>console</tt>.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeNarc.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcPlugin.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/CodeNarcExtension.html" target="_top">Frames</a></li>
<li><a href="CodeNarcExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
